Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] (David Jeffers)

31 Oct 1996 17:43:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: "Bret A. Schuhmacher" <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

>>>>> "Bret" == Bret A Schuhmacher <[email-masked]> writes:

    The bang "#!/usr/sh" line isn't really necessary for shell
    scripts using Cygnus bash. I remember reading about a
    "magic cookie" but all my scripts work with it or without it
    on Win 95. NT Perl uses a BAT file to build an executable
    so again it isn't necessary.

    For instance:

    #!/bin/sh				<---not necessary?

    awk ' { print $1 } '

    works fine since awk is in my PATH.

    I think the "#!/bin/sh" line in Cygnus simply means
    "this is an executable" since I don't even have to 
    chmod +x after I write the scripts like I do in Linux...

    Bret> OK, what part of the manual did I miss?  I can't get scripts
    Bret> with #!/bin/tclsh or #!/bin/perl or whatever to work.  Is
    Bret> this a configuration thing?  Is this a path thing (/bin is
    Bret> in the path, as is .).

    Bret> I downloaded the bash source code and found some code in
    Bret> execute_cmd.c that would do the trick... but I can't find
    Bret> the bash code that was ported to Win/NT.  I can't get my
    Bret> compiled bash to tell me what version it is, so I can't tell
    Bret> if the source version I found (1.14.6) is newer or older.

    Bret> Not looking for a handout, just a pointer :-).  How have you
    Bret> handled this in the past (besides executing /bin/tclsh
    Bret> <script> from the cmd line)?

    Bret> Thanks,

    Bret> Bret

    Bret> ______________________________________________________________________________
    Bret> Bret A. Schuhmacher Email: [email-masked] Technical Director,
    Bret> WebNet Technologies WWW: http://www.wn.com Voice/Fax: (214)
    Bret> 821-0848 Pager: (214) 816-0283

    Bret>               If you didn't get caught, did you really do
    Bret> it?
    Bret> ______________________________________________________________________________

    Bret> - For help on using this list, send a message to
    Bret> "[email-masked]" with one line of text:
    Bret> "help".

    Bret> --

    David Jeffers	    
<[email-masked]>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".